Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 9151 - Installer ignores some packages that have been deselected
Installer ignores some packages that have been deselected
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-05 15:42 EST by kevin_myer
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-24 12:17:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kevin_myer 2000-02-05 15:42:13 EST
I have been using Red Hat since version 4.2.  All versions since then have
seen fit to ignore some of my package installation choices.  I have to end
up going back and removing at least ten packages that I don't want, don't
need and that I explicitly UNchecked when installing.  Examples:

kernel-pcmcia-cs
apmd
linuxconf
rp3
pump
pciutils (your quality installer installed this on a bunch of 486's that
don't even have PCI buses...)
raidtools (guess I can do raid with a single 200Mb IDE drive on a 486 huh?)
isdn4k-utils (we're lucky to at least have POTS in this area, let alone
ISDN...)

There are more but I'm not sure what the whole list is, since some of these
packages have dependencies which installs even more crud that I don't want.

Those packages above are not required for a base install and I get a feeling
that I'm installing a Microsoft operating system - I get what the OS vendor
thinks I need, no matter what I tell the installer.

Apolgies if this has already been addressed in other reports or in upcoming
releases.  I didn't see it anywhere.  All I want is a Red Hat distro that I
can install that won't install the graphical stuff, the X libraries, the KDE
and gnome-libraries, GUI tools, and other stuff that Red Hat thinks I need
installed.  In the end, I want a command line only server - less wasted
drive space, less stuff to upgrade, less chance for local/remote exploits.

If its not already in the pipeline, a dedicated workstation and a dedicated
server distribution might be a good idea - you focus on two core markets
better that way.  And if there's something from the workstation distro I
want (like GUI tools or gnome libraries), I'll install them separately.

This just got under my skin, after I upgraded three servers and had to
delete a bunch of "junk" that I didn't want installed.
Comment 1 Jay Turner 2000-02-23 10:57:59 EST
RP3 and isdn4k-utils were getting installed as dependencies.  The remainder of
the packages are indeed in the base installation.  We are looking to clean up
the base installation in the next release, so hopefully we will be able to cut
some of the fluff out of it.

Note You need to log in before you can comment on or make changes to this bug.